---
title: '<center>: The Centered Text element (obsolete)'
slug: Web/HTML/Element/center
tags:
  - Element
  - HTML
  - Obsolete
  - Reference
  - Text
  - Text Alignment
  - Web
  - alignment
  - center
---
<div>{{obsolete_header()}}</div>

<p><span class="seoSummary">The obsolete <strong>HTML Center Element</strong> (<strong><code>&lt;center&gt;</code></strong>) is a <a href="/en-US/docs/Web/HTML/Block-level_elements" title="HTML/Block-level_elements">block-level element</a> that displays its block-level or inline contents centered horizontally within its containing element.</span> The container is usually, but isn't required to be, {{HTMLElement("body")}}.</p>

<p>This tag has been deprecated in HTML 4 (and XHTML 1) in favor of the <a href="/en-US/docs/Web/CSS">CSS</a> {{Cssxref("text-align")}} property, which can be applied to the {{HTMLElement("div")}} element or to an individual {{HTMLElement("p")}}. For centering blocks, use other CSS properties like {{Cssxref("margin-left")}} and {{Cssxref("margin-right")}} and set them to <code>auto</code> (or set {{Cssxref("margin")}} to <code>0 auto</code>).</p>

<h2 id="DOM_interface">DOM interface</h2>

<p>This element implements the {{domxref("HTMLElement")}} interface.</p>

<div class="note">
<p><strong>Implementation note:</strong> up to Gecko 1.9.2 inclusive, Firefox implements the {{domxref("HTMLSpanElement")}} interface for this element.</p>
</div>

<h2 id="Example_1">Example 1</h2>

<pre class="brush: html">&lt;center&gt;This text will be centered.
&lt;p&gt;So will this paragraph.&lt;/p&gt;&lt;/center&gt;
</pre>

<h2 id="Example_2">Example 2 (CSS alternative)</h2>

<pre class="brush: html">&lt;div style="text-align:center"&gt;This text will be centered.
&lt;p&gt;So will this paragraph.&lt;/p&gt;&lt;/div&gt;
</pre>

<h2 id="Example_3">Example 3 (CSS alternative)</h2>

<pre class="brush: html">&lt;p style="text-align:center"&gt;This line will be centered.&lt;br&gt;
And so will this line.&lt;/p&gt;
</pre>

<h2 id="Notes">Note</h2>

<p>Applying {{Cssxref("text-align")}}<code>:center</code> to a {{HTMLElement("div")}} or {{HTMLElement("p")}} element centers the <em>contents</em> of those elements while leaving their overall dimensions unchanged.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.elements.center")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{Cssxref("text-align")}}</li>
 <li>{{Cssxref("display")}}</li>
</ul>

<div>{{HTMLRef}}</div>
